Class | Compass::SpriteImporter
In: | lib/compass/sprite_importer.rb
Parent: | Sass::Importers::Base

### Methods

content_for_images ensure_path_and_name! eql? files find find_all_sprite_map_files find_relative generate_overrides hash key load mtime name new path path_and_name sass_engine sass_options sprite_names to_s validate_sprites!

### Constants

VAILD_FILE_NAME | = | /\A#{Sass::SCSS::RX::IDENT}\Z/
SPRITE_IMPORTER_REGEX | = | %r{((.+/)?([^\*.]+))/(.+?)\.png}
VALID_EXTENSIONS | = | ['.png']

### Attributes

options | [RW] |
uri | [RW] |

### Public Class methods

find_all_sprite_map_files(path)

finds all sprite files

load(uri, options)
new(options ={})
path_and_name(uri)

### Public Instance methods

content_for_images(skip_overrides = false)

Generates the Sass for this sprite file

ensure_path_and_name!()
eql?(other)
files()

Returns the Glob of image files for this sprite

find(uri, options)
find_relative(uri, base, options)
generate_overrides()

Generates the override defaults for this Sprite `$#{name}-#{sprite_name}-position` `$#{name}-#{sprite_name}-spacing` `#{name}-#{sprite_name}-repeat:`

hash()
key(uri, options={})
mtime(uri, options)
name()

Name of this spite

path()

The on-disk location of this sprite

sass_engine()

Returns a Sass::Engine for this sprite object

sass_options()

Returns the sass options for this sprite

sprite_names()

Returns an Array of image names without the file extension

to_s()
validate_sprites!()

[Validate]